Bug 440053 - ia64 .treeinfo includes xen boot images in wrong section
ia64 .treeinfo includes xen boot images in wrong section
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.2
ia64 Linux
low Severity low
: rc
: ---
Assigned To: Anaconda Maintenance Team
Alexander Todorov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 11:11 EDT by James Laska
Modified: 2013-09-02 02:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0397
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:33:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-04-01 11:11:02 EDT
Description of problem:

Information in the generated .treeinfo file is incorrect for the ia64 tree. 
Tools relying on this information will be using the wrong kernel images for install.

Version-Release number of selected component (if applicable):
anaconda-11.1.2.107-1 (RHEL5.2 Beta)

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

$ cat /mnt/redhat/rel-eng/RHEL5.2-Server-20080306.0/5/ia64/os/.treeinfo 
[general]
family = Red Hat Enterprise Linux Server
timestamp = 1204846638.56
totaldiscs = 1
version = 5
discnum = 1
packagedir = Server
arch = ia64

[images-ia64]
kernel = images/pxeboot/vmlinuz
initrd = images/pxeboot/initrd.img
boot.iso = images/boot.iso
boot.img = images/boot.img

[images-ia64]
kernel = images/xen/vmlinuz
initrd = images/xen/initrd.img

[stage2]
instimage = images/minstg2.img
mainimage = images/stage2.img

Expected results:

$ cat /mnt/redhat/rel-eng/RHEL5.2-Server-20080306.0/5/ia64/os/.treeinfo 
[general]
family = Red Hat Enterprise Linux Server
timestamp = 1204846638.56
totaldiscs = 1
version = 5
discnum = 1
packagedir = Server
arch = ia64

[images-ia64]
kernel = images/pxeboot/vmlinuz
initrd = images/pxeboot/initrd.img
boot.iso = images/boot.iso
boot.img = images/boot.img

  ----- VVV
[images-xen]
kernel = images/xen/vmlinuz
initrd = images/xen/initrd.img

...
Comment 2 Joel Andres Granados 2008-04-01 11:22:14 EDT
most likely fixed in version 11.1.2.111 of anaconda.
relative commit : c2807be5ffa9f58c4a0fcac80e6c915d2a8cf19b
Comment 7 errata-xmlrpc 2008-05-21 11:33:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0397.html

Note You need to log in before you can comment on or make changes to this bug.